# $Revision: 2.90.2.4.2.3 $, $Date: 2007/03/20 11:30:16 $
Summary:	Creates an initial ramdisk image for preloading modules
Summary(pl):	Narzdzie do tworzenia inicjalnego ramdysku uywanego przy starcie systemu
Name:		geninitrd
Version:	8385
Release:	1
License:	GPL
Group:		Applications/System
#Source0:	ftp://ftp1.pld-linux.org/people/arekm/software/%{name}-%{version}.tar.gz
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	4ba906885802ab115e397d20b39608e2
Patch0:		%{name}-ac.patch
BuildRequires:	xmlto >= 0:0.0.18-1
Requires:	awk
Requires:	busybox-initrd >= 1.00-0.rc3.2
Requires:	fileutils
Requires:	genromfs
Requires:	gzip
Requires:	rc-scripts >= 0.2.7
# without this softraid installations of PLD fail
Requires:	mdadm-initrd >= 1.12.0-1
Requires:	mktemp >= 1.5-8
Requires:	mount
Requires:	pci-database >= 0.4
Requires:	sh-utils
Requires:	tar
Obsoletes:	mkinitrd
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Geninitrd creates filesystem images for use as initial ramdisk
(initrd) images. These ramdisk images are often used to preload the
block device modules (SCSI or RAID) needed to access the root
filesystem.

In other words, generic kernels can be built without drivers for any
SCSI adapters which load the SCSI driver as a module. Since the kernel
needs to read those modules, but in this case it isn't able to address
the SCSI adapter, an initial ramdisk is used. The initial ramdisk is
loaded by the operating system loader (normally LILO) and is available
to the kernel as soon as the ramdisk is loaded. The ramdisk image
loads the proper SCSI adapter and allows the kernel to mount the root
filesystem. The geninitrd program creates such a ramdisk using
information found in the /etc/modules.conf file.

%description -l pl
Geninitrd suy do tworzenia obrazu systemu plikowego uywanego jako
inicjalny ramdysk (initrd), z ktrego przy starcie systemu s adowane
moduy kernela z obsug urzdze ktrych obsuga nie jest
wkompilowana w kernel. Zazwyczaj moduami adowanymi z inicjalnego
systemu plikowego s sterowniki SCSI, IDE czy te RAID po to eby w
dalszej czci inicjacji systemu by moliwy dostp do gwnego
systemu plikowego (root fs).

Dziki initrd jest moliwe uywanie dystrybucyjnego kernela w ktrym
wkompilowana jest minimalna ilo obsugi rnych urzdze, a reszta
kodu obsugi sterownikw SCSI, IDE czy RAID jest doczytywana w trakcie
startu z initrd. Skrypt geninitrd generuje obraz ramdysku na podstawie
biecych informacji zawartych w /etc/modules.conf.

%prep
%setup -q
%patch0 -p1

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) /sbin/geninitrd
%dir %{_sysconfdir}/geninitrd
%{_sysconfdir}/geninitrd/functions
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/geninitrd
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: geninitrd.spec,v $
Revision 2.90.2.4.2.3  2007/03/20 11:30:16  glen
- 8385: fixes Marek Guevara Braun bug

Revision 2.90.2.4.2.2  2007/03/17 12:49:30  glen
- 8381: umount /dev also for initrd-udev

Revision 2.90.2.4.2.1  2007/02/21 16:44:20  glen
- 8286: /dev/urandom node fixed

Revision 2.90.2.4  2007/02/08 19:07:51  glen
- 8243, exports functions now

Revision 2.90.2.3  2007/02/08 17:07:13  glen
- 8237

Revision 2.90.2.2  2007/02/05 10:36:30  hawk
- updated Ac patch, use romfs by default

Revision 2.90.2.1  2007/01/31 21:46:27  adamg
- seems like there is no switch_root in AC's busybox, use chroot instead
- release 2

Revision 2.90  2007/01/27 18:39:09  czarny
- yet another bug, this time dobule 0 adding

Revision 2.89  2007/01/27 17:08:18  czarny
- up to 8201
- I think I've resolved the 806 instead of 0806 bug

Revision 2.88  2007/01/27 14:40:00  czarny
- up to rev 8199
- moved to using udevd instead udev binary (dropped in udev project)

Revision 2.87  2007/01/11 14:00:50  glen
- update to 8142: fixes /initrd/dev not being unmounted

Revision 2.86  2006/12/14 17:26:16  czarny
- die df form glen ;p

Revision 2.85  2006/12/14 16:47:28  czarny
- up to 8103

Revision 2.84  2006/11/30 14:25:24  glen
- md5 fix

Revision 2.83  2006/11/30 14:24:13  glen
- 7982 (LABEL= and UUID= fixes)

Revision 2.82  2006/10/27 14:43:30  glen
- 7899

Revision 2.81  2006/10/19 13:47:53  glen
- update to 7877

Revision 2.80  2006/08/20 14:51:19  arekm
- rel 2; ready for new busybox

Revision 2.79  2006/08/17 09:09:00  arekm
- up to 7673 (firmware loading from initrd support)

Revision 2.78  2006/05/29 23:18:01  glen
- source on distfiles

Revision 2.77  2006/05/29 22:45:02  glen
- 7453

Revision 2.76  2006/05/08 17:13:55  baggins
- 7386

Revision 2.75  2006/04/09 19:09:48  arekm
- up to 7339

Revision 2.74  2006/04/09 13:36:06  arekm
- up to 7337 (with mainline suspend to disk support)

Revision 2.73  2006/02/22 18:31:26  glen
- lvm on softraid fixes from svn, rel 2 STBR

Revision 2.72  2006/02/21 13:44:52  arekm
- up to 6894

Revision 2.71  2006/01/18 17:04:53  glen
- kill unused bcond

Revision 2.70  2006/01/18 08:16:13  arekm
- use ftp1

Revision 2.69  2006/01/18 08:12:38  arekm
- Updated to 6838 (mdraid, udev, lvm2 updates).

Revision 2.68  2005/12/04 22:58:06  glen
- adapterized (sorted %verify flags)

Revision 2.67  2005/12/02 19:37:08  glen
- add procdata (real-root-dev) patch to md0
- adapterized, rel 8

Revision 2.66  2005/11/29 08:35:14  arekm
- rel 7 (crap) release.

Revision 2.65  2005/11/26 18:51:26  arekm
- rel 6

Revision 2.64  2005/11/26 18:34:41  djrzulf
- patch3 -p1,

Revision 2.63  2005/11/26 15:38:25  arekm
- rel 5; fix usleep for modules with - in name.

Revision 2.62  2005/11/17 13:07:09  arekm
- Sleep after module load support; rel 4

Revision 2.61  2005/10/13 17:07:53  glen
- conditional patch2

Revision 2.60  2005/10/13 16:01:16  glen
- partial dmraid fix

Revision 2.59  2005/07/13 15:50:56  arekm
- rel 3

Revision 2.58  2005/06/28 08:24:13  blues
- don't require mdadm on _every_ system. Require strict version of
  mdadm-initrd in mdadm. Should be enough

Revision 2.57  2005/06/27 13:47:10  arekm
- R: mdadm itself, too.

Revision 2.56  2005/06/27 06:31:29  arekm
- fix mdadm >= v1.12.0

Revision 2.55  2004/10/20 22:10:07  ankry
- workaround for man generation problems (-en_xml patch), regenerate manpage, rel. 2

Revision 2.54  2004/09/25 21:26:57  arekm
- updated to 4605

Revision 2.53  2004/08/09 00:08:10  arekm
- updated to 4420 (suspend2 2.0.0.103 support).

Revision 2.52  2004/08/01 22:51:49  arekm
- updated to 4413

Revision 2.51  2004/07/07 15:15:59  qboosh
- nobody pointed better solution - so R: mdadm-initrd for working
  softraid installations; release 2

Revision 2.50  2004/06/24 22:40:05  arekm
- updated to 4242 (rootfs on LVM2 working nicely, tested)

Revision 2.49  2004/06/22 17:08:02  arekm
- md5

Revision 2.48  2004/06/22 17:07:28  arekm
- updated to 4159

Revision 2.47  2004/05/30 09:00:25  pluto
- %desc fixed.

Revision 2.46  2004/05/24 16:26:29  kali
- added %verify(not md5 size mtime) to config files

Revision 2.45  2004/04/23 21:12:10  arekm
- rel 3; fix raid related typo

Revision 2.44  2004/04/13 09:27:22  arekm
- remove not used code; rel 2

Revision 2.43  2004/04/03 16:01:13  arekm
Updated to 3865:
- enhanced LVM support (fix LVM1 tools detection,
  check of proper binaries existence, root only rootfs VG)
- support devfs like names for softraid detection
- fix creation of subdirectiories in initrd image
- load ide-generic if rootfs is on IDE and no other
  IDE related modules found.
- support for LVM on top of Software RAID case
NOTE: This release is mainly for testing testing.

Revision 2.42  2004/04/03 10:33:57  areq
- Requires:  pci-database >= 0.4

Revision 2.41  2004/03/16 15:40:15  qboosh
- cosmetics

Revision 2.40  2004/03/08 14:56:02  wiget
- updated to 3416

Revision 2.39  2004/01/23 23:40:03  arekm
- released 3219 (can use mdasseble on initrd - smaller than whole mdadm)

Revision 2.38  2004/01/21 15:11:41  arekm
- updated to trunk (r3196); uses mdadm-initrd for raid starting

Revision 2.37  2003/12/28 23:07:35  arekm
- this is noarch prog

Revision 2.36  2003/12/25 18:58:55  arekm
- updated to 3075 (tags/3077)

Revision 2.35  2003/09/18 23:31:32  arekm
- updated to 1354 (raid fixed)

Revision 2.34  2003/09/18 22:28:59  arekm
- updated to trunk version (1352)

Revision 2.33  2003/09/02 18:40:41  mmazur
- rel 3 for ac

Revision 2.32  2003/08/24 12:26:49  areq
- 2.57

Revision 2.31  2003/08/23 20:27:15  areq
- 2.56 - with busybox-initrd

Revision 2.30  2003/08/11 20:44:54  ankry
- cosmetics

Revision 2.29  2003/08/11 15:10:09  areq
- 2.40

Revision 2.28  2003/08/10 21:10:39  areq
- 2.38

Revision 2.27  2003/08/09 21:43:39  areq
- 2.34

Revision 2.26  2003/08/07 20:13:45  arekm
- released current cvs ad 2.30

Revision 2.25  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 2.24  2003/05/25 05:47:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 2.23  2003/04/12 13:36:41  wiget
- R: new bsp
- release 2

Revision 2.22  2003/04/09 12:07:13  wiget
- updated to 2.26

Revision 2.21  2002/12/19 12:01:54  orzech
- geninitrd works fine on alphas too
- rel. 2

Revision 2.20  2002/10/14 14:53:49  wiget
- 2.22 (bugfix release)

Revision 2.19  2002/09/30 16:48:15  wiget
- version 2.21
- compressed modules support

Revision 2.18  2002/09/06 15:07:00  wiget
- 2.20

Revision 2.17  2002/04/25 16:22:15  arturs
- fixed a small typo

Revision 2.16  2002/03/25 15:31:20  wiget
- 2.19
  fix soft raid starting (malekith)

Revision 2.15  2002/03/13 15:29:38  wiget
- version 2.18
- UUID and LABEL support for ext3
- error messages fixes

Revision 2.14  2002/03/11 23:08:12  martii
- added ppc ExlusiveArch

Revision 2.13  2002/02/22 23:28:56  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 2.12  2002/02/20 13:00:52  wiget
- --fs is back, but warn if it used; exit if modules.dep is missing; version 2.16

Revision 2.11  2002/02/19 15:15:58  wiget
- version 2.13
- trash support dropped (me)
- root on loop device disabled (me)
- new configuration option EXIT_IF_MISSING (me)
- parse modules.dep and find dependend modules (malekith)

Revision 2.10  2002/01/18 02:13:02  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 2.9  2001/11/28 23:38:23  kloczek
- release 2.

Revision 2.8  2001/11/28 12:34:31  qboosh
- typo, fixed Groups

Revision 2.7  2001/09/07 15:21:55  wiget
- 2.6, fix Mylex RAID handling

Revision 2.6  2001/07/04 12:21:31  wiget
- 2.4, some RAID (software and hardware) fixes, added support for UUID/LABEL on xfs

Revision 2.5  2001/07/02 09:34:54  malekith
- 2.3, don't use modutils.conf if doesn't exists
- prev was 2.1 w/o UUID support

Revision 2.4  2001/03/19 13:17:33  michuz
- version 2.1
- this version works fine with 2.4.x

Revision 2.3  2001/03/02 12:13:09  kloczek
- cosmetics.

Revision 2.2  2001/03/02 10:06:34  inglod
- add %build

Revision 2.1  2001/02/23 14:23:23  malekith
- Removed Req: e2fsutils (wasn't needed long time ago, we use
  romfs), trash and insmod.static - they are replaced by bsp.
  Rationale:
  They can be needed when special option are turned on,
  but in normal config they are not, and as this is base
  pkg, user should not be forced to install them.

Revision 2.0  2001/02/23 13:57:34  inglod
- Fixed for new release. (2.0)

Revision 1.7  2001/02/01 16:27:34  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.6  2001/01/06 15:09:59  zagrodzki
- release 2
- requires: sh-utils

Revision 1.5  2000/12/06 19:47:10  kloczek
- New version 1.2:
  - use trash instead statically linked ash.

Revision 1.4  2000/12/05 13:42:04  zagrodzki
- release 2
- requires: mktemp >= 1.5-8

Revision 1.3  2000/11/30 18:40:10  baggins
- updated to 1.1

Revision 1.2  2000/11/09 10:13:59  kloczek
- added %config(noreplace) for /etc/sysconfig/geninitrd,
- removed /bin/sh from Requires (autogenerated),
- added Source url.

Revision 1.1  2000/11/09 09:46:13  jajcus
- initial spec (based on mkinitrd.spec)
